[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLConnection.OnLog

Event handler for logging events

## Declaration

Source position: sqldb.pp line 301

`published property TSQLConnection.OnLog : TDBLogNotifyEvent read FOnLog write FOnLog;`

## Description

TSQLConnection can send events for all the actions that it performs: executing SQL statements, commit and rollback of transactions etc. This event handler must be set to react on these events: they can for example be written to a log file. Only events specified in the LogEvents property will be logged.

The events received by this event handler are specific for this connection. To receive events from all active connections in the application, set the global GlobalDBLogHook event handler.

## See also

GlobalDBLogHook |  | Global logging hook
TSQLConnection.LogEvents |  | Filter for events to log